<button mat-stroked-button class="iconButton" (click)="navigateToParent()">
	<mat-icon>arrow_back</mat-icon>{{ 'transl.simple.back' | translate }}
</button>
<form [formGroup]="form" (ngSubmit)="onSubmit()">
	<mat-form-field appearance="outline">
		<mat-label>{{ 'transl.simple.debtorAccount' | translate }} *</mat-label>
		<mat-select tabindex="2" formControlName="debtorAccountId">
			<mat-option *ngFor="let account of accountsSubject | async" [value]="account._id">{{ account.name }}</mat-option>
		</mat-select>
		<mat-error>{{ 'transl.error.form.' + Object.keys(this.form.controls.debtorAccountId.errors || {})[0] | translate }}</mat-error>
	</mat-form-field>
	<mat-form-field appearance="outline">
		<mat-label>{{ 'transl.simple.creditorAccount' }} *</mat-label>
		<mat-select tabindex="2" formControlName="creditorAccountId">
			<mat-option *ngFor="let account of accountsSubject | async" [value]="account._id">{{ account.name }}</mat-option>
		</mat-select>
		<mat-error>{{ 'transl.error.form.' + Object.keys(this.form.controls.creditorAccountId.errors || {})[0] | translate }}</mat-error>
	</mat-form-field>
	<mat-form-field appearance="outline">
		<mat-label>{{ 'transl.simple.amount' | translate }}</mat-label>
		<input matInput formControlName="amount" />
	</mat-form-field>
	<mat-form-field appearance="outline">
		<mat-label>{{ 'transl.simple.currency' | translate }} *</mat-label>
		<mat-select tabindex="2" formControlName="currency">
			<mat-option *ngFor="let currency of currenciesSubject | async" [value]="currency">{{
				'transl.currency.' + currency | translate
			}}</mat-option>
		</mat-select>
		<mat-error>{{ 'transl.error.form.' + Object.keys(this.form.controls.currency.errors || {})[0] | translate }}</mat-error>
	</mat-form-field>
	<mat-form-field appearance="outline" (click)="picker.open()">
		<mat-label>{{ 'transl.simple.time' | translate }} *</mat-label>
		<input matInput [matDatepicker]="picker" formControlName="time" />
		<mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
		<mat-datepicker #picker></mat-datepicker>
		<mat-error>{{ 'transl.error.form.' + Object.keys(this.form.controls.time.errors || {})[0] | translate }}</mat-error>
	</mat-form-field>

	<lib-multi-select
		[control]="form.controls.categoryIds"
		[optionsSubject]="categoriesSubject"
		selectionKey="_id"
		displayKey="name"
		label="transl.simple.categories"
		tabOrder="1"
	></lib-multi-select>

	<lib-multi-select
		[control]="form.controls.projectIds"
		[optionsSubject]="projectsSubject"
		selectionKey="_id"
		displayKey="name"
		label="transl.simple.projects"
		tabOrder="1"
	></lib-multi-select>

	<lib-input-field [control]="form.controls.purpose" label="transl.simple.purpose" tabIndex="1"></lib-input-field>

	<button class="fab" mat-fab color="accent" [disabled]="loading || form.invalid">
		<mat-icon>save</mat-icon>
	</button>
</form>
